> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zayo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific NAT Rule



## OpenAPI

````yaml /openapi.json get /service/{tenant_name}/nat_rule/{rule_name}
openapi: 3.1.0
info:
  title: NIRO API
  description: Tenant API shema for NIRO
  version: NIRO-2.13.0
servers: []
security: []
tags:
  - name: service - aws
    description: >-
      Management of AWS cloud credentials, enabling seamless integration and
      automated connectivity
  - name: service - looking glass
    description: Test network connectivity
  - name: service - SDR
    description: >-
      Management for SDR (Session Details Records), a superset of classic
      NetFlow data
  - name: tenant
    description: >-
      Manage tenant-related information like packages and services as well as
      contact information
  - name: tenant - virtual interface
    description: Management for VIs (Virtual Interfaces)
  - name: group
    description: >-
      Predefined Groups of IP prefixes and IPs ready to be used in filters for
      firewall and other services
  - name: sites
    description: >-
      Manage information about sites providing network reach to order new
      Customer Ports
paths:
  /service/{tenant_name}/nat_rule/{rule_name}:
    get:
      tags:
        - service - NAT
      summary: Get specific NAT Rule
      operationId: get_tenant_nat_rule_service__tenant_name__nat_rule__rule_name__get
      parameters:
        - name: tenant_name
          in: path
          required: true
          schema:
            title: Tenant Name
        - name: rule_name
          in: path
          required: true
          schema:
            title: Rule Name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NBBaseNATRule'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearerFromCookie: []
components:
  schemas:
    NBBaseNATRule:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        rule_type:
          $ref: '#/components/schemas/NATRuleType'
          default: SOURCE_ONE_TO_ONE
        inside_type:
          anyOf:
            - $ref: '#/components/schemas/NATSourceType'
            - type: 'null'
        inside:
          anyOf:
            - type: string
            - type: 'null'
          title: Inside
        inside_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Inside Port
        protocol:
          anyOf:
            - type: integer
            - type: 'null'
          title: Protocol
        outside:
          type: string
          title: Outside
        outside_port:
          anyOf:
            - type: integer
            - type: 'null'
          title: Outside Port
        filters:
          items:
            $ref: '#/components/schemas/RuleFilter'
          type: array
          title: Filters
          default: []
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - id
        - name
        - outside
      title: NBBaseNATRule
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NATRuleType:
      type: string
      enum:
        - SOURCE_ONE_TO_ONE
        - SOURCE_NAT
        - DESTINATION_NAT
        - NOP
      title: NATRuleType
    NATSourceType:
      type: string
      enum:
        - segment
        - ip
      title: NATSourceType
    RuleFilter:
      properties:
        filter_type:
          $ref: '#/components/schemas/FilterType'
        values:
          title: Values
      type: object
      required:
        - filter_type
        - values
      title: RuleFilter
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FilterType:
      type: string
      enum:
        - src_network
        - dst_network
        - src_l4_port
        - dst_l4_port
        - ip_protocol
        - src_segment
        - dst_segment
        - src_object
        - dst_object
        - src_group
        - dst_group
        - ingress_vi
        - tcp_control
        - is_fragmented
        - tos
        - traffic_class
        - ttl
        - hop_limit
        - ip_version
        - src_dia
        - dst_dia
      title: FilterType
  securitySchemes:
    HTTPBearerFromCookie:
      type: http
      scheme: bearer

````